%define api 1.0

Summary:	Python bindings for clutter
Name:		pyclutter
Version:	1.3.2
Release:	%mkrel 6
Source0:	http://www.clutter-project.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.gz
Patch1:		pyclutter-1.0.2-fix-link.patch
# Patch from Fedora:
Patch2:		pyclutter-1.3.2-clutter-1.9.2-compat.patch
License:	LGPLv2+
Group:		Graphics
Url:		http://clutter-project.org/
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pygtk2.0-devel >= 2.8.0
BuildRequires:	python-cairo-devel >= 1.0.2
BuildRequires:	libxslt-proc
Requires:	python-gobject
Requires:	pygtk2.0

%description
Python bindings for clutter

#----------------------------------------------------------------------------

%package -n python-clutter
Summary:	Python bindings for clutter
Group:		Graphics
Provides:	%{name} = %{version}-%{release}

%description -n python-clutter
Python bindings for clutter

%package -n python-clutter-devel
Summary:	Python bindings for clutter
Group:		Development/Python
Requires:	python-clutter = %{version}-%{release}
Provides:	%{name}-devel = %{version}-devel

%description -n python-clutter-devel
Python bindings for clutter - development files.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-docs
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n python-clutter
%defattr(-,root,root)
%doc AUTHORS README NEWS
%dir %{py_platsitedir}/clutter
%{py_platsitedir}/clutter/*

%files -n python-clutter-devel
%defattr(-,root,root)
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}/
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/%{api}
%dir %{_datadir}/%{name}/%{api}/defs
%{_datadir}/%{name}/%{api}/defs/*.defs
%{_includedir}/%{name}-%{api}/%{name}/%{name}.h
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog

* Wed Mar 07 2012 fwang <fwang> 1.3.2-6.mga2
+ Revision: 220759
- more compat build fix
- rebuild for new cogl

* Thu Feb 23 2012 tv <tv> 1.3.2-5.mga2
+ Revision: 213242
- rebuild for new cogl

* Tue Jan 17 2012 fwang <fwang> 1.3.2-4.mga2
+ Revision: 197278
- rebuild for new cogl

  + wally <wally>
    - add more general provides to devel pkg

* Sun Dec 04 2011 wally <wally> 1.3.2-3.mga2
+ Revision: 176191
- add patch from Fedora to fix build with latest clutter

  + fwang <fwang>
    - rebuild for new clutter

* Mon Sep 19 2011 wally <wally> 1.3.2-2.mga2
+ Revision: 145763
- rebuild for new cogl
- new version 1.3.2
- drop upstream applied patch
- clean .spec a bit

* Sun Jan 23 2011 pterjan <pterjan> 1.0.2-2.mga1
+ Revision: 35482
- imported package pyclutter


* Sat Nov 06 2010 Funda Wang <fwang@mandriva.org> 1.0.2-2mdv2011.0
+ Revision: 593860
- fix link
- drop DEBUG_FLAGS (not there any more)

* Mon Apr 19 2010 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdv2010.1
+ Revision: 536754
- new version
- drop patch

* Wed Mar 17 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-3mdv2010.1
+ Revision: 523880
- patch for clutter 1.2
- fix build deps

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for 2010.1

* Sat Aug 29 2009 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 422130
- new version
- drop patch
- remove gst and gtk bindings

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.9.2-2mdv2010.0
+ Revision: 410203
- split out devel package
- enable docs

* Wed Aug 05 2009 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2010.0
+ Revision: 410181
- new version
- new apiver
- update deps
- remove cluttercairo

* Thu Feb 12 2009 Funda Wang <fwang@mandriva.org> 0.8.2-1mdv2009.1
+ Revision: 339759
- update versioned BR and file list
- New version 0.8.2

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.8.0-0.3273.2mdv2009.1
+ Revision: 323570
- fix linkage
- rebuild

* Sat Sep 13 2008 Colin Guthrie <cguthrie@mandriva.org> 0.8.0-0.3273.1mdv2009.0
+ Revision: 284395
- New snapshot

* Wed Feb 20 2008 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 173180
- New version

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.4.1-3mdv2008.1
+ Revision: 157487
- Bump release for buildsystem lock.
- New upstream version 0.4.1 (upstream messed up previous release which was not meant to be named 0.4.1)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Colin Guthrie <cguthrie@mandriva.org> 0.4.1-1mdv2008.0
+ Revision: 60563
- Rename package
- Import pyclutter

